/**
 * \file realm_defines.h
 * Public-facing definitions of variables configured at build time
 */

// ******************** IMPORTANT **************************
//
// This file is PURE C, **NOT** C++. Keep any C++-isms in
// legion_types.h, or elsewhere.
//
// ******************** IMPORTANT **************************

#ifndef DEBUG_REALM
/* #undef DEBUG_REALM */
#endif

#ifndef COMPILE_TIME_MIN_LEVEL
#define COMPILE_TIME_MIN_LEVEL LEVEL_DEBUG
#endif

#ifndef REALM_MAX_DIM
#define REALM_MAX_DIM 3
#endif

#ifndef REALM_USE_OPENMP
/* #undef REALM_USE_OPENMP */
#endif
#ifndef REALM_OPENMP_GOMP_SUPPORT
/* #undef REALM_OPENMP_GOMP_SUPPORT */
#endif
#ifndef REALM_OPENMP_KMP_SUPPORT
/* #undef REALM_OPENMP_KMP_SUPPORT */
#endif

#ifndef REALM_USE_PYTHON
/* #undef REALM_USE_PYTHON */
#endif

#ifndef REALM_PYTHON_VERSION_MAJOR
/* #undef REALM_PYTHON_VERSION_MAJOR */
#endif

#ifndef REALM_USE_CUDA
/* #undef REALM_USE_CUDA */
#endif
#ifndef USE_CUDA
/* #undef USE_CUDA */
#endif

#ifndef USE_GASNET
/* #undef USE_GASNET */
#endif
#ifndef GASNET_CONDUIT_MPI
/* #undef GASNET_CONDUIT_MPI */
#endif
#ifndef GASNET_CONDUIT_IBV
/* #undef GASNET_CONDUIT_IBV */
#endif
#ifndef GASNET_CONDUIT_UDP
/* #undef GASNET_CONDUIT_UDP */
#endif
#ifndef GASNET_CONDUIT_ARIES
/* #undef GASNET_CONDUIT_ARIES */
#endif
#ifndef GASNET_CONDUIT_GEMINI
/* #undef GASNET_CONDUIT_GEMINI */
#endif
#ifndef GASNET_CONDUIT_PSM
/* #undef GASNET_CONDUIT_PSM */
#endif
#ifndef GASNETI_BUG1389_WORKAROUND
/* #undef GASNETI_BUG1389_WORKAROUND */
#endif

#ifndef REALM_USE_LLVM
/* #undef REALM_USE_LLVM */
/* #undef REALM_LLVM_VERSION */
/* #undef REALM_ALLOW_MISSING_LLVM_LIBS */
#endif

#ifndef USE_HDF
/* #undef USE_HDF */
#endif

#ifndef USE_LIBDL
#define USE_LIBDL
#endif

#ifndef __STDC_FORMAT_MACROS
#define __STDC_FORMAT_MACROS
#endif
